Package org.apache.sling.repoinit.parser.operations

# Class RemoveAcePrincipals

java.lang.Object
org.apache.sling.repoinit.parser.operations.Operation
org.apache.sling.repoinit.parser.operations.RemoveAcePrincipals

@ProviderType public class RemoveAcePrincipals extends Operation
Remove ACL statement that groups a set of AclLines that all refer to the same set of principals.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACL_OPTION_MERGE`
Supported ACL options
`static final String`
`ACL_OPTION_MERGE_PRESERVE`

### Fields inherited from class org.apache.sling.repoinit.parser.operations.Operation

`DQUOTE`

## Constructor Summary

Constructors
Constructor
Description
`RemoveAcePrincipals(List<String> principals, List<AclLine> lines)`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(OperationVisitor v)`
`@NotNull String`
`asRepoInitString()`
Converts this operation instance to a RepoInit string representation including the current operation parameters.
`Collection<AclLine>`
`getLines()`
`List<String>`
`getOptions()`
`protected String`
`getParametersDescription()`
`List<String>`
`getPrincipals()`

### Methods inherited from class org.apache.sling.repoinit.parser.operations.Operation

`cleanupQuotedString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### ACL_OPTION_MERGE

public static final String ACL_OPTION_MERGE
Supported ACL options

See Also:
  - Constant Field Values

### ACL_OPTION_MERGE_PRESERVE

public static final String ACL_OPTION_MERGE_PRESERVE

See Also:
  - Constant Field Values

## Constructor Details

### RemoveAcePrincipals

public RemoveAcePrincipals(List<String> principals, List<AclLine> lines)

## Method Details

### getParametersDescription

protected String getParametersDescription()

### asRepoInitString

@NotNull public @NotNull String asRepoInitString()
Description copied from class: `Operation`
Converts this operation instance to a RepoInit string representation including the current operation parameters. The representation must be parsable back into an equivalent operation and must end with a OS-compatible line separator.

Specified by:
  `asRepoInitString` in class `Operation`
Returns:
  the repoinit string for the operation

### getPrincipals

public List<String> getPrincipals()

### accept

public void accept(OperationVisitor v)

Specified by:
  `accept` in class `Operation`

### getLines

public Collection<AclLine> getLines()

### getOptions

public List<String> getOptions()